Get all labs
const url = 'https://antimony.example.com/api/labs';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://antimony.example.com/api/labs \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
object
object
object
object
object
ContainerId is the globally unique identifier for the container running the node.
With containerlab as the deployment provider, this is the node’s docker container ID. With clabernetes as the deployment provider, this is the node’s pod UID.
Left empty if the node is currently not running.
ContainerName is the name of the container running the node. Currently unused outside of display purposes.
With containerlab as the deployment provider, this is the node’s docker container name. With clabernetes as the deployment provider, this is equal to the node’s name.
Left empty if the node is currently not running.
Interfaces are the network interfaces of the node. Fetched after the node’s startup listener succeeded. Left empty if the node is currently not running.
object
IPv4 and IPv6 are the management IP addresses assigned by the deployment backend.
Left empty if the node is currently not running or there is no IPv4 or IPv6 address assigned.
IsReady is true if the node and its running software (e.g., SRLinux) are fully running and ready to be used. This is initially set to false and set to true once the node’s startup listener succeeded.
Kind is the type of the node as defined in the topology file.
Name is the name of the node as defined in the topology file.
State is the current state of the node.
Example
{ "payload": [ { "instance": { "nodes": [ { "state": 0 } ], "state": 0 } } ]}The user isn’t authorized
Access to the resource was denied. Details in the request body.
object
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid